GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Enumerations | Functions
frame_data.h File Reference
`#include <grpc/support/slice.h>`
`#include <grpc/support/slice_buffer.h>`
`#include "src/core/transport/stream_op.h"`
`#include "src/core/transport/chttp2/frame.h"`

Go to the source code of this file.

## Data Structures
struct | grpc_chttp2_data_parser

## Enumerations
enum | grpc_chttp2_stream_state { GRPC_CHTTP2_DATA_FH_0, GRPC_CHTTP2_DATA_FH_1, GRPC_CHTTP2_DATA_FH_2, GRPC_CHTTP2_DATA_FH_3, GRPC_CHTTP2_DATA_FH_4, GRPC_CHTTP2_DATA_FRAME }

## Functions
grpc_chttp2_parse_error | grpc_chttp2_data_parser_init (grpc_chttp2_data_parser *parser)
void | grpc_chttp2_data_parser_destroy (grpc_chttp2_data_parser *parser)
grpc_chttp2_parse_error | grpc_chttp2_data_parser_begin_frame (grpc_chttp2_data_parser *parser, gpr_uint8 flags)
grpc_chttp2_parse_error | grpc_chttp2_data_parser_parse (void *parser, grpc_chttp2_transport_parsing *transport_parsing, grpc_chttp2_stream_parsing *stream_parsing, gpr_slice slice, int is_last)
gpr_slice | grpc_chttp2_data_frame_create_empty_close (gpr_uint32 id)

## Enumeration Type Documentation

enum grpc_chttp2_stream_state

Enumerator
GRPC_CHTTP2_DATA_FH_0 |
GRPC_CHTTP2_DATA_FH_1 |
GRPC_CHTTP2_DATA_FH_2 |
GRPC_CHTTP2_DATA_FH_3 |
GRPC_CHTTP2_DATA_FH_4 |
GRPC_CHTTP2_DATA_FRAME |

## Function Documentation

gpr_slice grpc_chttp2_data_frame_create_empty_close | ( | gpr_uint32 | id | ) |

grpc_chttp2_parse_error grpc_chttp2_data_parser_begin_frame | ( | grpc_chttp2_data_parser * | parser,
|  | gpr_uint8 | flags
| ) |  |

void grpc_chttp2_data_parser_destroy | ( | grpc_chttp2_data_parser * | parser | ) |

grpc_chttp2_parse_error grpc_chttp2_data_parser_init | ( | grpc_chttp2_data_parser * | parser | ) |

grpc_chttp2_parse_error grpc_chttp2_data_parser_parse | ( | void * | parser,
|  | grpc_chttp2_transport_parsing * | transport_parsing,
|  | grpc_chttp2_stream_parsing * | stream_parsing,
|  | gpr_slice | slice,
|  | int | is_last
| ) |  |